---
# Database credentials secret
# NOTE: In production, use OCI Vault or external-secrets operator
apiVersion: v1
kind: Secret
metadata:
  name: db-credentials
  namespace: undateable
  labels:
    app.kubernetes.io/name: undateable
    app.kubernetes.io/component: database
type: Opaque
stringData:
  DB_HOST: "${DB_HOST}"
  DB_NAME: "undatable_me"
  DB_USER: "undatable_user"
  DB_PASS: "${DB_PASSWORD}"
---
# JWT secret
apiVersion: v1
kind: Secret
metadata:
  name: jwt-secret
  namespace: undateable
  labels:
    app.kubernetes.io/name: undateable
    app.kubernetes.io/component: auth
type: Opaque
stringData:
  JWT_SECRET: "${JWT_SECRET}"
---
# OCIR (Container Registry) pull secret
apiVersion: v1
kind: Secret
metadata:
  name: ocir-secret
  namespace: undateable
  labels:
    app.kubernetes.io/name: undateable
type: kubernetes.io/dockerconfigjson
data:
  .dockerconfigjson: "${DOCKER_CONFIG_JSON}"
---
# Redis credentials (optional)
apiVersion: v1
kind: Secret
metadata:
  name: redis-credentials
  namespace: undateable
  labels:
    app.kubernetes.io/name: undateable
    app.kubernetes.io/component: cache
type: Opaque
stringData:
  REDIS_HOST: "${REDIS_HOST}"
  REDIS_PORT: "6379"
